package com.sky.ioc.controller.message;

import com.sky.ioc.service.message.MessageService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "消息管理")
@Slf4j
@RestController
@RequestMapping("/message")
public class MessageController {

    @Autowired
    MessageService messageService;

    @ApiOperation("获取消息列表")
    @GetMapping(value = "/message_list")
    public ReturnMsg getMessageList() {
        return messageService.getList();
    }

    @ApiOperation("获取消息列表")
    @GetMapping(value = "/messager_module")
    public ReturnMsg getMessagerModuleList() {
        return messageService.getTypeList();
    }

    @ApiOperation("获取消息列表")
    @GetMapping(value = "/search")
    public ReturnMsg search(@RequestParam(name = "name",defaultValue = "") String name,
                            @RequestParam(name = "type",defaultValue = "") String type,
                            @RequestParam(name = "start_time",defaultValue = "") String start_time,
                            @RequestParam(name = "end_time",defaultValue = "") String end_time) {
        return messageService.search(name,type,start_time,end_time);
    }
}
